export declare const parseMdx: (file: string) => Promise<string>;
export interface Heading {
    depth: number;
    slug: string;
    value: string;
}
export interface EntryObj {
    id: string;
    filepath: string;
    slug: string;
    name: string;
    route: string;
    order: number;
    menu: string | null;
    headings: Heading[];
    [key: string]: any;
}
export declare class Entry {
    readonly [key: string]: any;
    static check(file: string): Promise<boolean | null>;
    id: string;
    filepath: string;
    slug: string;
    route: string;
    name: string;
    order: number;
    menu: string | null;
    headings: Heading[];
    settings: {
        [key: string]: any;
    };
    constructor(ast: any, file: string, src: string);
    private getFilepath;
    private slugify;
    private getRoute;
}
