"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}Object.defineProperty(exports,"__esModule",{value:!0});var fs=require("fs"),path=require("path"),resolve=_interopDefault(require("resolve")),prettier=require("prettier"),logger=_interopDefault(require("signale")),fs$1=require("fs-extra"),artTemplate=require("art-template"),ulid=require("ulid"),vfile=_interopDefault(require("to-vfile")),unified=_interopDefault(require("unified")),remark=_interopDefault(require("remark-parse")),matter=_interopDefault(require("remark-frontmatter")),slug=_interopDefault(require("remark-slug")),parseFrontmatter=_interopDefault(require("remark-parse-yaml")),slugify=_interopDefault(require("@sindresorhus/slugify")),find=_interopDefault(require("unist-util-find")),is=_interopDefault(require("unist-util-is")),visit=_interopDefault(require("unist-util-visit")),get=_interopDefault(require("lodash.get")),humanize=_interopDefault(require("humanize-string")),glob=require("fast-glob"),loadCfg=require("load-cfg"),chokidar=_interopDefault(require("chokidar")),WS=_interopDefault(require("ws")),merge=_interopDefault(require("deepmerge")),remove=_interopDefault(require("unist-util-remove")),nodeToString=_interopDefault(require("hast-util-to-string")),HappyPack=_interopDefault(require("happypack")),slug$1=_interopDefault(require("rehype-slug")),headings=_interopDefault(require("rehype-autolink-headings")),webpackBarPlugin=_interopDefault(require("webpackbar")),Config=_interopDefault(require("webpack-chain")),friendlyErrors=_interopDefault(require("friendly-errors-webpack-plugin")),htmlWebpackPlugin=_interopDefault(require("html-webpack-plugin")),manifestPlugin=_interopDefault(require("webpack-manifest-plugin")),UglifyJs=_interopDefault(require("uglifyjs-webpack-plugin")),convert=_interopDefault(require("koa-connect")),history=_interopDefault(require("connect-history-api-fallback")),webpack=_interopDefault(require("webpack")),serve=_interopDefault(require("webpack-serve")),detectPort=_interopDefault(require("detect-port")),chalk=_interopDefault(require("chalk")),FSR=_interopDefault(require("react-dev-utils/FileSizeReporter")),formatWebpackMessages=_interopDefault(require("react-dev-utils/formatWebpackMessages")),printBuildError=_interopDefault(require("react-dev-utils/printBuildError"));const ensureSlash=(e,t)=>{const r=e.endsWith("/");return r&&!t?e.substr(e,e.length-1):!r&&t?`${e}/`:e},root=fs.realpathSync(process.cwd()),resolveApp=e=>path.resolve(root,e),templates=path.join(resolve.sync("docz-core"),"../templates"),packageJson=resolveApp("package.json"),servedPath=e=>ensureSlash(e,!0),docz=resolveApp(".docz"),app=path.resolve(docz,"app/"),appPublic=path.resolve(docz,"public/"),getDist=e=>path.join(root,e),distPublic=e=>path.join(e,"public/"),importsJs=path.resolve(app,"imports.js"),rootJs=path.resolve(app,"root.jsx"),indexJs=path.resolve(app,"index.jsx"),indexHtml=path.resolve(app,"index.html"),entriesJson=path.resolve(app,"entries.json"),configJson=path.resolve(app,"config.json");var paths=Object.freeze({root:root,templates:templates,packageJson:packageJson,servedPath:servedPath,docz:docz,app:app,appPublic:appPublic,getDist:getDist,distPublic:distPublic,importsJs:importsJs,rootJs:rootJs,indexJs:indexJs,indexHtml:indexHtml,entriesJson:entriesJson,configJson:configJson});function __rest(e,t){var r={};for(var s in e)Object.prototype.hasOwnProperty.call(e,s)&&0>t.indexOf(s)&&(r[s]=e[s]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var i=0;for(s=Object.getOwnPropertySymbols(e);s.length>i;i++)0>t.indexOf(s[i])&&(r[s[i]]=e[s[i]])}return r}const format=e=>new Promise((t,r)=>{try{t(prettier.format(e,{parser:"babylon",semi:!1,singleQuote:!0,trailingComma:"all"}))}catch(e){logger.fatal(e),t(e)}}),touch=(e,t)=>new Promise(async(r,s)=>{const i=/jsx?$/.test(path.extname(e))?await format(t):t,o=fs$1.createWriteStream(e);o.write(i,"utf-8"),o.on("finish",()=>r()),o.on("error",e=>s(e)),o.end()}),read=e=>new Promise((t,r)=>{let s="";const i=fs$1.createReadStream(e,{encoding:"utf-8"});i.on("data",e=>s+=e),i.on("end",()=>t(s)),i.on("error",e=>r(e))}),compiled=async e=>read(e).then(e=>artTemplate.compile(e)).catch(e=>e),{keys:keys}=Object,isFn=e=>"function"==typeof e;function omit(e,t){return keys(t).filter(t=>-1===e.indexOf(t)).reduce((e,r)=>Object.assign({},e,{[r]:t[r]}),{})}const mapToObj=e=>Array.from(e.entries()).reduce((e,[t,r])=>Object.assign({},e,{[`${t}`]:r}),{}),parseMdx=e=>{const t=vfile.readSync(e,"utf-8"),r=unified().use(remark,{type:"yaml",marker:"-"}).use(matter).use(parseFrontmatter).use(slug);return r.run(r.parse(t))},getParsedData=e=>{const t=find(e,e=>is("yaml",e));return get(t,"data.parsedValue")},getHeadings=e=>{const t=[];return visit(e,"heading",e=>{const r=get(e,"data.id"),s=get(e,"depth");t.push({depth:s,slug:r,value:humanize(r)})}),t};class Entry{static async check(e){const t=await parseMdx(e),r=getParsedData(t);return!(!r||!r.name)}constructor(e,t,r){const s=this.getFilepath(t,r),i=getParsedData(e);this.id=ulid.ulid(),this.filepath=s,this.slug=this.slugify(s),this.route=this.getRoute(i),this.name=i.name,this.order=i.order||0,this.menu=i.menu,this.headings=getHeadings(e),this.settings=i}getFilepath(e,t){const r=path.resolve(root,t);return path.relative(r,e)}slugify(e){const t=path.extname(e),r=e.replace(t,"");return slugify(r)}getRoute(e){return e&&e.route?e.route:`/${this.slug}`}}class Plugin{constructor(e){this.setConfig=e.setConfig,this.modifyBundlerConfig=e.modifyBundlerConfig,this.modifyBabelRc=e.modifyBabelRc,this.onServerListening=e.onServerListening,this.onPreBuild=e.onPreBuild,this.onPostBuild=e.onPostBuild,this.onPreRender=e.onPreRender,this.onPostRender=e.onPostRender}static runPluginsMethod(e){return(t,...r)=>{if(e&&e.length>0)for(const s of e){const e=get(s,t);isFn(e)&&e(...r)}}}static propsOfPlugins(e){return t=>e&&e.length>0&&e.map(e=>get(e,t)).filter(e=>e)}static reduceFromPlugins(e){return(t,r,...s)=>[...e||[]].reduce((e,r)=>{const s=get(r,t);return s&&isFn(s)?s(e):e},r)}}function createPlugin(e){return new Plugin(e)}const fromTemplates=e=>path.join(templates,e),getHtmlFilepath=e=>e?path.join(root,e):fromTemplates("index.tpl.html"),writeAppFiles=async(e,t)=>{const{plugins:r,title:s,description:i,theme:o,indexHtml:n}=e,a=Plugin.propsOfPlugins(r),l=a("onPreRender"),p=a("onPostRender"),c=await compiled(fromTemplates("root.tpl.js")),u=await compiled(fromTemplates("index.tpl.js")),d=await compiled(getHtmlFilepath(n)),g=c({theme:o,isProd:!t,wrapper:e.wrapper,websocketUrl:`ws://${e.websocketHost}:${e.websocketPort}`}),m=u({onPreRenders:l,onPostRenders:p}),f=d({title:s,description:i});await touch(rootJs,g),await touch(indexJs,m),await touch(indexHtml,f)},writeImports=async e=>{const t=(await compiled(fromTemplates("imports.tpl.js")))({entries:Object.values(e)});await touch(importsJs,t)},writeData=async(e,t)=>{const r=Object.assign({title:t.title,description:t.description},t.themeConfig);await touch(entriesJson,JSON.stringify(e,null,2)),await touch(configJson,JSON.stringify(r,null,2))};class Entries{static async writeApp(e,t){await fs$1.ensureDir(app),await writeAppFiles(e,!!t)}static async writeImports(e){await writeImports(e)}static async writeData(e,t){await writeData(e,t)}constructor(e){this.all=new Map,this.get=(async()=>this.getMap(e))}async getMap(e){const{src:t,files:r}=e,s=glob.sync(Array.isArray(r)?[...r,"!node_modules"]:[r,"!node_modules"]),i=new Map,o=await Promise.all(s.filter(async e=>Entry.check(e)).map(async e=>{const r=await parseMdx(e),s=new Entry(r,e,t),{settings:i}=s,o=__rest(s,["settings"]);return Object.assign({},i,o)}));for(const e of o)i.set(e.filepath,e);return this.all=i,mapToObj(i)}}const isSocketOpened=e=>e.readyState===WS.OPEN;class DataServer{constructor({server:e,config:t}){this.config=t,this.server=new WS.Server({server:e,port:t.websocketPort,host:t.websocketHost})}async processEntries(e){const t=chokidar.watch(this.config.files,{ignored:/(^|[\/\\])\../});this.server.on("connection",async r=>{const s=this.updateEntries(e,r),i=await e.get();t.on("change",async()=>s(this.config)),t.on("unlink",async()=>s(this.config)),t.on("raw",async(e,t,r)=>{"moved"===r.event&&"directory"===r.type&&await s(this.config)}),r.send(this.entriesData(i)),await Entries.writeImports(i)}),this.server.on("close",()=>t.close())}async processThemeConfig(){const e=chokidar.watch(loadCfg.finds("docz"));this.server.on("connection",async t=>{const r=this.updateConfig(t);e.on("add",()=>r()),e.on("change",()=>r()),e.on("unlink",()=>r()),r()}),this.server.on("close",()=>e.close())}dataObj(e,t){return JSON.stringify({type:e,data:t})}entriesData(e){return this.dataObj("docz.entries",e)}configData(e){return this.dataObj("docz.config",Object.assign({},e.themeConfig,{title:e.title,description:e.description}))}updateEntries(e,t){return async r=>{if(isSocketOpened(t)){const r=await e.get();await Entries.writeImports(r),t.send(this.entriesData(r))}}}updateConfig(e){const t={title:this.config.title,description:this.config.description,themeConfig:this.config.themeConfig};return()=>{const r=loadCfg.load("docz",t,!0);isSocketOpened(e)&&e.send(this.configData(r))}}}const IS_PROD="production"===process.env.NODE_ENV;class Bundler{constructor(e){const{args:t,config:r,server:s,build:i}=e;this.args=t,this.config=r,this.server=s,this.builder=i}getConfig(){const e=this.args.modifyBundlerConfig(this.config,!IS_PROD);return this.mountConfig(e)}async createServer(e){return this.server(e)}async build(e){await this.builder(e)}mountConfig(e){const{plugins:t}=this.args;return Plugin.reduceFromPlugins(t)("modifyBundlerConfig",e,!IS_PROD)}}const babelrc=e=>{const t=merge(loadCfg.load("babel",null),{babelrc:!1,cacheDirectory:!e.debug,presets:[[require.resolve("babel-preset-react-app"),{flow:!e.typescript}],...e.typescript?[require.resolve("@babel/preset-typescript")]:[]],plugins:[]});return Plugin.reduceFromPlugins(e.plugins)("modifyBabelRc",t)},componentName=e=>{const t=e.match(/^\<\\?(\w+)/);return t&&t[1]},valuesFromNodes=e=>(t,r)=>{const s=[];if(t!==r)for(let i=r;i>=t;i--){const r=e.children[i];r.children&&r.children.length>0&&s.push(...r.children.map(e=>e.value)),r.value&&r.value.length>0&&s.push(r.value),i!==t&&remove(e,r)}return s},mergeNodeWithoutCloseTag=(e,t,r)=>{if(!t.value||"string"!=typeof t.value)return;const s=componentName(t.value),i=RegExp(`^\\<${s}`),o=RegExp(`\\<\\/${s}\\>$`),n=e=>i.test(e),a=e=>o.test(e),l=e=>e&&!n(e)&&a(e);if(!s||n(t.value)&&a(t.value))return;const p=e.children.findIndex(({value:e,children:t})=>t?t.some(e=>l(e.value)):l(e));if(p>-1&&p!==r){const s=valuesFromNodes(e)(r,p);t.value=s.reverse().join("\n")}},plugin=()=>e=>{visit(e,"html",function(t,r){mergeNodeWithoutCloseTag(e,t,r)})},componentName$1=e=>{const t=e.match(/^\<\\?(\w+)/);return t&&t[1]},isPlayground=e=>"Playground"===e,isPropsTable=e=>"PropsTable"===e,addCodeProp=async e=>{const t=componentName$1(e.value),r=RegExp(`^\\<${t}`);if(isPlayground(t)){const s=(await format(nodeToString(e))).slice(1,1/0);e.value=e.value.replace(r,`<${t} __code={${`(\n      <components.pre className="react-prism language-jsx">\n        <code>{\`${s}\`}</code>\n      </components.pre>\n    )`}}`)}},addComponentsProp=e=>{const t=componentName$1(e.value);if(isPlayground(t)||isPropsTable(t)){const r=RegExp(`^\\<${t}`);e.value=e.value.replace(r,`<${t} components={components}`)}},plugin$1=()=>(e,t)=>{const r=[e.children.filter(e=>is("jsx",e)).map(async function(e){await addCodeProp(e),addComponentsProp(e)})];return Promise.all(r).then(()=>e)},setupHappypack=(e,t,r)=>{const s={loader:require.resolve("babel-loader"),options:merge(r,{plugins:[require.resolve("react-hot-loader/babel")]})},i={id:"jsx",verbose:t.debug,loaders:[s]};t.propsParser&&!t.typescript&&s.options.plugins.push(require.resolve("babel-plugin-react-docgen")),t.propsParser&&t.typescript&&i.loaders.push({loader:require.resolve("react-docgen-typescript-loader")});const o={id:"mdx",verbose:t.debug,loaders:[{loader:require.resolve("babel-loader"),options:r}]};e.plugin("happypack-jsx").use(HappyPack,[i]),e.plugin("happypack-mdx").use(HappyPack,[o])},js=(e,t)=>{const r=path.resolve(root,t.src);e.module.rule("js").test(/\.(js|jsx|mjs)$/).include.add(r).add(docz).end().exclude.add(/node_modules/).end().use("happypack-jsx").loader("happypack/loader?id=jsx")},ts=(e,t)=>{const r=path.resolve(root,t.src);e.module.rule("ts").test(/\.(ts|tsx)$/).include.add(r).end().exclude.add(/node_modules/).end().use("happypack-jsx").loader("happypack/loader?id=jsx")},mdx=(e,t)=>{const{mdPlugins:r,hastPlugins:s}=t,i=path.resolve(root,t.src);e.module.rule("mdx").test(/\.md?x$/).include.add(i).end().exclude.add(/node_modules/).end().use("happypack-mdx").loader("happypack/loader?id=mdx").end().use("mdx-loader").loader(require.resolve("@mdx-js/loader")).options({type:"yaml",marker:"-",properties:{"aria-hidden":!0},content:{type:"element",tagName:"span",properties:{className:["icon-link"]},children:[{type:"text",value:"#"}]},mdPlugins:r.concat([matter,plugin]),hastPlugins:s.concat([plugin$1,slug$1,headings])})},INLINE_LIMIT=1e4,images=e=>{e.module.rule("images").test(/\.(png|jpe?g|gif)(\?.*)?$/).use("url-loader").loader(require.resolve("url-loader")).options({limit:1e4,name:"static/img/[name].[hash:8].[ext]"})},svg=e=>{e.module.rule("svg").test(/\.(svg)(\?.*)?$/).use("file-loader").loader(require.resolve("file-loader")).options({name:"static/img/[name].[hash:8].[ext]"})},media=e=>{e.module.rule("media").test(/\.(mp4|webm|ogg|mp3|wav|flac|aac)(\?.*)?$/).use("url-loader").loader(require.resolve("url-loader")).options({limit:1e4,name:"static/media/[name].[hash:8].[ext]"})},fonts=e=>{e.module.rule("fonts").test(/\.(woff2?|eot|ttf|otf)(\?.*)?$/i).use("url-loader").loader(require.resolve("url-loader")).options({limit:1e4,name:"static/fonts/[name].[hash:8].[ext]"})},uglify=new UglifyJs({parallel:!0,cache:!0,sourceMap:!0,uglifyOptions:{parse:{ecma:8},compress:{ecma:5,warnings:!1,comparisons:!1},mangle:{safari10:!0},output:{ecma:5,comments:!1,ascii_only:!0}}}),createConfig=e=>(t,r)=>{const{debug:s}=t,i=new Config,o="production"===r,n=servedPath(t.base),a=getDist(t.dest),l=path.resolve(root,t.src);i.context(root),i.set("mode",r),i.when(s,e=>e.devtool("source-map")),i.when(!o,e=>e.devtool("cheap-module-eval-source-map")),i.node.merge({child_process:"empty",dgram:"empty",fs:"empty",net:"empty",tls:"empty"});return i.output.pathinfo(!0).path(a).when(o,e=>e.filename("static/js/[name].[chunkhash:8].js").sourceMapFilename("static/js/[name].[chunkhash:8].js.map").publicPath(n),e=>e.filename("static/js/[name].js").sourceMapFilename("static/js/[name].js.map").publicPath("/")).crossOriginLoading("anonymous"),i.merge({optimization:Object.assign({nodeEnv:"dev",namedModules:!0,noEmitOnErrors:!0,runtimeChunk:!0,splitChunks:{chunks:"all",name:"vendors"}},o&&{minimizer:[uglify]})}),i.entry("app").add(require.resolve("babel-polyfill")).add(indexJs),i.resolve.set("symlinks",!0).alias.set("@babel/runtime",path.dirname(require.resolve("@babel/runtime/package.json"))),i.resolve.extensions.merge([".web.js",".mjs",".js",".json",".web.jsx",".jsx",".mdx",...t.typescript?[".ts",".tsx"]:[]]).end().modules.add("node_modules").add(l).add(root),i.resolveLoader.set("symlinks",!0).modules.add("node_modules").add(root),js(i,t),mdx(i,t),t.typescript&&ts(i,t),setupHappypack(i,t,e),images(i),svg(i),media(i),fonts(i),i.plugin("assets-plugin").use(manifestPlugin,[{filename:"assets.json"}]),i.plugin("html-webpack-plugin").use(htmlWebpackPlugin,[Object.assign({inject:!0,template:indexHtml},o&&{minify:{removeComments:!0,collapseWhitespace:!0,removeRedundantAttributes:!0,useShortDoctype:!0,removeEmptyAttributes:!0,removeStyleLinkTypeAttributes:!0,keepClosingSlash:!0,minifyJS:!0,minifyCSS:!0,minifyURLs:!0}})]),i.when(!s&&!o,e=>{e.plugin("webpackbar").use(webpackBarPlugin,[{color:"#41b883",compiledIn:!1,name:"Client"}]),e.plugin("friendly-errors").use(friendlyErrors)}),i.plugin("injections").use(require("webpack/lib/DefinePlugin"),[{BASE_URL:JSON.stringify(n)}]),i.performance.hints(!1),i},devServerConfig=(e,t,r)=>{const s=path.resolve(__dirname,"non-existent"),i=t=>e.debug?"debug":t;return{compiler:t,host:e.host,port:e.port,content:[s],logLevel:i("error"),dev:{logLevel:i("silent")},hot:{reload:!1,logLevel:i("error")},add:e=>{e.use(convert(history({rewrites:[{from:/\.html$/,to:"/"}]})))}}},server=e=>async t=>{const r=webpack(t),s=await detectPort(e.port),i=devServerConfig(Object.assign({},e,{port:s}),r);return{start:async()=>{const e=await serve(i);return{on:e.on,close:e.close}}}};process.env.BABEL_ENV=process.env.BABEL_ENV||"production",process.env.NODE_ENV=process.env.NODE_ENV||"production";const{measureFileSizesBeforeBuild:measureFileSizesBeforeBuild,printFileSizesAfterBuild:printFileSizesAfterBuild}=FSR,WARN_AFTER_BUNDLE_GZIP_SIZE=524288,WARN_AFTER_CHUNK_GZIP_SIZE=1048576,hasCiEnvVar=()=>process.env.CI&&("string"!=typeof process.env.CI||"false"!==process.env.CI.toLowerCase()),copyPublicFolder=async e=>{await fs$1.pathExists(appPublic)&&await fs$1.copySync(appPublic,distPublic(e),{dereference:!0,filter:e=>e!==indexHtml})},compile=e=>new Promise((t,r)=>{let s;try{s=webpack(e)}catch(e){onError(e)}s&&s.run((e,s)=>{e&&r(e),t(s)})}),builder=async(e,t)=>(logger.start("Creating an optimized production build..."),new Promise(async(r,s)=>{try{const i=await compile(e),o=formatWebpackMessages(i.toJson({},!0));return o.errors.length?s(Error(o.errors.join("\n\n"))):hasCiEnvVar()&&o.warnings.length?(logger.warn("\nTreating warnings as errors because process.env.CI = true.\nMost CI servers set it automatically.\n"),s(Error(o.warnings.join("\n\n")))):r({stats:i,previousFileSizes:t,warnings:o.warnings})}catch(e){s(e)}})),onSuccess=(e,{stats:t,previousFileSizes:r,warnings:s})=>{s.length?(logger.warn("Compiled with warnings.\n"),logger.warn(s.join("\n\n")),logger.warn("\nSearch for the "+chalk.underline(chalk.yellow("keywords"))+" to learn more about each warning."),logger.warn("To ignore, add "+chalk.cyan("// eslint-disable-next-line")+" to the line before.\n")):logger.success(chalk.green("Compiled successfully.\n")),logger.log("File sizes after gzip:\n"),printFileSizesAfterBuild(t,r,e,524288,1048576),logger.log()},onError=e=>{logger.fatal(chalk.red("Failed to compile.\n")),printBuildError(e),process.exit(1)},build=e=>async t=>{const r=getDist(e.dest);try{await fs$1.ensureDir(r);const e=await measureFileSizesBeforeBuild(r);await fs$1.emptyDir(r),await copyPublicFolder(r);const s=await builder(t,e);onSuccess(r,s)}catch(e){onError(e)}},bundler=(e,t)=>{const r=createConfig(babelrc(e))(e,t).toConfig();return new Bundler({args:e,config:r,build:build(e),server:server(e)})},toOmit=["_","$0","version","help"],loadConfig=e=>{const t=loadCfg.load("docz",Object.assign({},e,{paths:paths,plugins:[],mdPlugins:[],hastPlugins:[],themeConfig:{},modifyBundlerConfig:e=>e})),r=Plugin.reduceFromPlugins(t.plugins);return omit(toOmit,r("setConfig",t))};process.env.BABEL_ENV=process.env.BABEL_ENV||"development",process.env.NODE_ENV=process.env.NODE_ENV||"development";const dev=async e=>{const t=loadConfig(e),r=bundler(t,"development"),s=new Entries(t),i=await s.get(),o=await r.createServer(r.getConfig());(await o.start()).on("listening",async({server:e})=>{const r=await detectPort(t.websocketPort),o=Plugin.runPluginsMethod(t.plugins),n=Object.assign({},t,{websocketPort:r}),a=new DataServer({server:e,config:n});try{logger.info("Removing old app files"),await fs$1.remove(app),logger.info("Creating new docz files"),await Entries.writeApp(n,!0),await Entries.writeImports(i),logger.info(`Setup entries socket on port ${r}`),await a.processEntries(s),await a.processThemeConfig(),await o("onServerListening",e)}catch(e){logger.fatal("Failed to process your server:",e),process.exit(1)}})},build$1=async e=>{const t=loadConfig(e),r=bundler(t,"production"),s=new Entries(t),i=await s.get(),o=Plugin.runPluginsMethod(t.plugins);await fs$1.remove(app),await Entries.writeApp(t),await Entries.writeImports(i),await Entries.writeData(i,t);try{await o("onPreBuild"),await r.build(r.getConfig()),await o("onPostBuild")}catch(e){logger.fatal(e),process.exit(1)}},args=e=>{e.positional("base",{type:"string",default:"/"}),e.positional("source",{alias:"src",type:"string",default:"./"}),e.positional("files",{type:"string",default:"**/*.mdx"}),e.positional("dest",{alias:"d",type:"string",default:".docz/dist"}),e.positional("title",{type:"string",default:"MyDoc"}),e.positional("description",{type:"string",default:"My awesome app using Docz"}),e.positional("theme",{type:"string",default:"docz-theme-default"}),e.positional("typescript",{alias:"ts",type:"boolean",default:!1}),e.positional("propsParser",{type:"boolean",default:!0}),e.positional("wrapper",{type:"string"}),e.positional("indexHtml",{type:"string"}),e.positional("debug",{type:"boolean",default:process.env.DEBUG||!1}),e.positional("protocol",{type:"string",default:"true"===process.env.HTTPS?"https":"http"}),e.positional("host",{type:"string",default:process.env.HOST||"0.0.0.0"}),e.positional("port",{alias:"p",type:"number",default:process.env.PORT||3e3}),e.positional("websocketHost",{type:"string",default:process.env.WEBSOCKET_HOST||"0.0.0.0"}),e.positional("websocketPort",{type:"number",default:process.env.WEBSOCKET_PORT||8089})};var index=Object.freeze({dev:dev,build:build$1,args:args});exports.commands=index,exports.Plugin=Plugin,exports.createPlugin=createPlugin;
